Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Is kernel 3.7.6 compatible with nvidia driver 313.18. I tried installing it through the upubuntu guide but I was getting an error. I tried using their fix but it said the directories were not found. Any suggestions

This is what i get

Unpacking replacement linux-headers-3.7.6-030706-generic ...
Preparing to replace linux-headers-3.7.6-030706 3.7.6-030706.201302040006 (using linux-headers-3.7.6-030706_3.7.6-030706.201302040006_all.deb) ...
Unpacking replacement linux-headers-3.7.6-030706 ...
Selecting previously unselected package linux-image-3.7.6-030706-generic.
Unpacking linux-image-3.7.6-030706-generic (from linux-image-3.7.6-030706-generic_3.7.6-030706.201302040006_amd64.deb) ...
Done.
Selecting previously unselected package linux-image-extra-3.7.6-030706-generic.
Unpacking linux-image-extra-3.7.6-030706-generic (from linux-image-extra-3.7.6-030706-generic_3.7.6-030706.201302040006_amd64.deb) ...
Setting up linux-headers-3.7.6-030706 (3.7.6-030706.201302040006) ...
Setting up linux-image-3.7.6-030706-generic (3.7.6-030706.201302040006) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/dkms 3.7.6-030706-generic /boot/vmlinuz-3.7.6-030706-generic
ERROR (dkms apport): kernel package linux-headers-3.7.6-030706-generic is not supported
Error! Bad return status for module build on kernel: 3.7.6-030706-generic (x86_64)
Consult /var/lib/dkms/nvidia-313/313.18/build/make.log for more information.
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 3.7.6-030706-generic /boot/vmlinuz-3.7.6-030706-generic
update-initramfs: Generating /boot/initrd.img-3.7.6-030706-generic
run-parts: executing /etc/kernel/postinst.d/pm-utils 3.7.6-030706-generic /boot/vmlinuz-3.7.6-030706-generic
run-parts: executing /etc/kernel/postinst.d/update-notifier 3.7.6-030706-generic /boot/vmlinuz-3.7.6-030706-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 3.7.6-030706-generic /boot/vmlinuz-3.7.6-030706-generic
Generating grub.cfg ...
Found linux image: /boot/vmlinuz-3.7.6-030706-generic
Found initrd image: /boot/initrd.img-3.7.6-030706-generic
Found linux image: /boot/vmlinuz-3.7.5-030705-generic
Found initrd image: /boot/initrd.img-3.7.5-030705-generic
Found linux image: /boot/vmlinuz-3.7.4-030704-generic
Found initrd image: /boot/initrd.img-3.7.4-030704-generic
Found linux image: /boot/vmlinuz-3.7.3-030703-generic
Found initrd image: /boot/initrd.img-3.7.3-030703-generic
Found linux image: /boot/vmlinuz-3.7.2-030702-generic
Found initrd image: /boot/initrd.img-3.7.2-030702-generic
Found linux image: /boot/vmlinuz-3.7.1-030701-generic
Found initrd image: /boot/initrd.img-3.7.1-030701-generic
Found linux image: /boot/vmlinuz-3.7.0-030700-generic
Found initrd image: /boot/initrd.img-3.7.0-030700-generic
Found linux image: /boot/vmlinuz-3.7.0-7-generic
Found initrd image: /boot/initrd.img-3.7.0-7-generic
Found linux image: /boot/vmlinuz-3.7.0-4-generic
Found initrd image: /boot/initrd.img-3.7.0-4-generic
Found linux image: /boot/vmlinuz-3.6.10-030610-generic
Found initrd image: /boot/initrd.img-3.6.10-030610-generic
Found linux image: /boot/vmlinuz-3.6.9-030609-generic
Found initrd image: /boot/initrd.img-3.6.9-030609-generic
Found linux image: /boot/vmlinuz-3.5.0-19-generic
Found initrd image: /boot/initrd.img-3.5.0-19-generic
Found linux image: /boot/vmlinuz-3.5.0-17-generic
Found initrd image: /boot/initrd.img-3.5.0-17-generic
Found memtest86+ image: /boot/memtest86+.bin
done
Setting up linux-image-extra-3.7.6-030706-generic (3.7.6-030706.201302040006) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/dkms 3.7.6-030706-generic /boot/vmlinuz-3.7.6-030706-generic
ERROR (dkms apport): kernel package linux-headers-3.7.6-030706-generic is not supported
Error! Bad return status for module build on kernel: 3.7.6-030706-generic (x86_64)
Consult /var/lib/dkms/nvidia-313/313.18/build/make.log for more information.
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 3.7.6-030706-generic /boot/vmlinuz-3.7.6-030706-generic
update-initramfs: Generating /boot/initrd.img-3.7.6-030706-generic
run-parts: executing /etc/kernel/postinst.d/pm-utils 3.7.6-030706-generic /boot/vmlinuz-3.7.6-030706-generic
run-parts: executing /etc/kernel/postinst.d/update-notifier 3.7.6-030706-generic /boot/vmlinuz-3.7.6-030706-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 3.7.6-030706-generic /boot/vmlinuz-3.7.6-030706-generic
Generating grub.cfg ...
Found linux image: /boot/vmlinuz-3.7.6-030706-generic
Found initrd image: /boot/initrd.img-3.7.6-030706-generic
Found linux image: /boot/vmlinuz-3.7.5-030705-generic
Found initrd image: /boot/initrd.img-3.7.5-030705-generic
Found linux image: /boot/vmlinuz-3.7.4-030704-generic
Found initrd image: /boot/initrd.img-3.7.4-030704-generic
Found linux image: /boot/vmlinuz-3.7.3-030703-generic
Found initrd image: /boot/initrd.img-3.7.3-030703-generic
Found linux image: /boot/vmlinuz-3.7.2-030702-generic
Found initrd image: /boot/initrd.img-3.7.2-030702-generic
Found linux image: /boot/vmlinuz-3.7.1-030701-generic
Found initrd image: /boot/initrd.img-3.7.1-030701-generic
Found linux image: /boot/vmlinuz-3.7.0-030700-generic
Found initrd image: /boot/initrd.img-3.7.0-030700-generic
Found linux image: /boot/vmlinuz-3.7.0-7-generic
Found initrd image: /boot/initrd.img-3.7.0-7-generic
Found linux image: /boot/vmlinuz-3.7.0-4-generic
Found initrd image: /boot/initrd.img-3.7.0-4-generic
Found linux image: /boot/vmlinuz-3.6.10-030610-generic
Found initrd image: /boot/initrd.img-3.6.10-030610-generic
Found linux image: /boot/vmlinuz-3.6.9-030609-generic
Found initrd image: /boot/initrd.img-3.6.9-030609-generic
Found linux image: /boot/vmlinuz-3.5.0-19-generic
Found initrd image: /boot/initrd.img-3.5.0-19-generic
Found linux image: /boot/vmlinuz-3.5.0-17-generic
Found initrd image: /boot/initrd.img-3.5.0-17-generic
Found memtest86+ image: /boot/memtest86+.bin
done
Setting up linux-headers-3.7.6-030706-generic (3.7.6-030706.201302040006) ...
Examining /etc/kernel/header_postinst.d.
run-parts: executing /etc/kernel/header_postinst.d/dkms 3.7.6-030706-generic /boot/vmlinuz-3.7.6-030706-generic
ERROR (dkms apport): kernel package linux-headers-3.7.6-030706-generic is not supported
Error! Bad return status for module build on kernel: 3.7.6-030706-generic (x86_64)
Consult /var/lib/dkms/nvidia-313/313.18/build/make.log for more information.
share|improve this question
1  
Ok. #1: Going from 3.7.6 to 3.7.5 would be a downgrade. Do you mean the other way around? Give us the link to your fix. As stated often here, tell us what you did. –  Kupiakos Feb 4 '13 at 22:45
    
I'm running Nvidia 313.09 with 3.7.5-030705-generic. Works splendidly for me. YMMV. You'll have to provide all steps you took and the exact error. Without specific information we're not able to answer your question. –  gertvdijk Feb 4 '13 at 22:53
    
How does this relate to your other question? xorg-edgers PPA does not update with install nvidia-current –  gertvdijk Feb 4 '13 at 22:55
    
HI, im trying to update to 3.7.6 from 3.7.5 that i have installed right now. I updated with the error i get. This only relates to my other question because its telling met to look at the nvidia-313.18 make.log...but the question about nvidia-currents is seperate from this –  user98713 Feb 5 '13 at 2:50
    
Yeah, well... what does the error log say? It's here, according to the error you posted: /var/lib/dkms/nvidia-313/313.18/build/make.log –  gertvdijk Feb 5 '13 at 19:45

2 Answers 2

Would suggest checking conftest.sh in /usr/src/nvidia-'version' directory. There is a small issue determining kernel version when PATCHLEVEL is 6 or greater (3.7.6 in this case). Comment out (#) if and fi lines and leave SELECTED_MAKEFILE and RET lines alone. Reinstall kernel headers and image debs, and nvidia.ko should build properly.

Update: If you are also running into compatibility issue between kernel 3.7.* and virtualbox, solution is to either 1) upgrade virtualbox to 4.2.6 -or- 2) patch memobj-r0drv-linux.c to replace VM_RESERVED macro with (VM_DONTEXPAND | VM_DONTDUMP). Good luck.

share|improve this answer

Thanks cogitoergosum, that worked fine!

Editing conftest.sh in (/usr/src/nvidia-current-310.19) got me to install the kernel with nvidia 310.19.

I commented out lines 1703, 1704 and 1706, making it look like this:

PATCHLEVEL=$(grep "^PATCHLEVEL =" $MAKEFILE | cut -d " " -f 3)
            SUBLEVEL=$(grep "^SUBLEVEL =" $MAKEFILE | cut -d " " -f 3)
            # if [ -n "$PATCHLEVEL" -a $PATCHLEVEL -ge 6 \
            #         -a -n "$SUBLEVEL" -a $SUBLEVEL -le 5 ]; then
                SELECTED_MAKEFILE=Makefile.kbuild
                RET=0
            # fi
        fi

Then reinstalled the nvidia driver (sudo apt-get install --reinstall nvidia-current) and made sure I saved the conftest.sh file after it was finished "Unpacking replacement nvidia-current ...".

And voila, kernel module building completed!

share|improve this answer
    
Thanks cogitoergosum for pointing out the problem and thanks irvine for showing what how you did it. I followed the steps and it worked perfectly! –  user98713 Feb 6 '13 at 21:23

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.